<html lang="en">
<head>
<title>Caveats - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Building-a-drawing.html#Building-a-drawing" title="Building a drawing">
<link rel="prev" href="A-hierarchical-model.html#A-hierarchical-model" title="A hierarchical model">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Caveats"></a>Previous:&nbsp;<a rel="previous" accesskey="p" href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Building-a-drawing.html#Building-a-drawing">Building a drawing</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">4.4 Caveats</h3>

<p><code>Sketch</code> is a fairly powerful tool for drawing, but, just as with
TeX, the power to create beautiful results comes along with the
power to make mistakes.  The following are some points where care is
necessary and where the current version of <code>sketch</code> is limited or
has known bugs.

<ul class="menu">
<li><a accesskey="1" href="Limits-on-error-detection.html#Limits-on-error-detection">Limits on error detection</a>:    What sketch doesn't do. 
<li><a accesskey="2" href="Clipping.html#Clipping">Clipping</a>:                     No clipping at present. 
<li><a accesskey="3" href="Hidden-surface-removal.html#Hidden-surface-removal">Hidden surface removal</a>:       Imperfections to fix. 
</ul>

   </body></html>

